Package it.ernytech.tdlib

## Class TdApi.GetGameHighScores

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetGameHighScores

Enclosing class:
  TdApi

    public static class TdApi.GetGameHighScores
    extends TdApi.Function

Returns the high scores for a game and some part of the high score table in the range of the specified user; for bots only.

Returns `GameHighScores`

### Field Summary

Fields
`long` `chatId` The chat that contains the message with the game.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `messageId` Identifier of the message.
`int` `userId` User identifier.

### Constructor Summary

Constructors
`GetGameHighScores()` Default constructor.
`GetGameHighScores​(long chatId, long messageId, int userId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

The chat that contains the message with the game.

#### messageId

    public long messageId

Identifier of the message.

#### userId

    public int userId

User identifier.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetGameHighScores

    public GetGameHighScores()

Default constructor.

#### GetGameHighScores

    public GetGameHighScores​(long chatId,
                             long messageId,
                             int userId)

Constructor for initialization of all fields.

Parameters:
  `chatId` - The chat that contains the message with the game.
  `messageId` - Identifier of the message.
  `userId` - User identifier.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR